/* alle Rechte by achim seeger unter GPL
   myroboter@web.de, wnsche viel Spass damit */

#define HT16K33_CMD_BLINK 0x81
#define HT16K33_BLINK_DISPLAYON 0x01 // 0-aus, 1-ein
#define HT16K33_BLINK_OFF 0  // 0-Blinken aus, 1-Blinken an
#define HT16K33_BLINK_2HZ  1
#define HT16K33_BLINK_1HZ  2
#define HT16K33_BLINK_HALFHZ  3
#define HT16K33_CMD_BRIGHTNESS 0xE0
#define HT16K33_CMD_OSCILLATOR 0x20

void HT16K33_Init(void);
void HT16K33_SetOscillator(bool osc_on);
void HT16K33_Blinken(uint8_t b);
void HT16K33_SetBrightness(uint8_t b);
void HT16K33_FillDisplay(uint8_t data);
void HT16K33_WriteBild1(uint8_t start);		
void HT16K33_WriteBild2(uint8_t start);		
void HT16K33_WriteDisplay(uint8_t start);	
void HT16K33_ClearDisplay(uint8_t start);	
void HT16K33_WriteBild1Zeit(uint8_t start);

uint8_t HT16K33_modul1_addr;